#ifndef CIRCULARPLOTMAN_H
#define CIRCULARPLOTMAN_H

class QuCircularPlotW;
class QWidget;
class CuData;
class NumberDrawable;
class QuWatcher;

#include <qvector.h>
#include <QObject>

class PlotObjFilter : public QObject {
    Q_OBJECT
public:
    PlotObjFilter(QObject *parent) : QObject(parent) {}
protected:
    bool eventFilter(QObject *obj, QEvent *event) override;
signals:
    void refEnabled(bool);
    void scaleChange(int s);
};


class CircularPlotMan : public QObject
{
    Q_OBJECT
public:
    CircularPlotMan(QWidget *parent);
    void setup();
    void connectSrcs();
    void disconnectSrcs();


    QuCircularPlotW *circular_plots[2];
    QVector<double> circular_plots_x[2];
    NumberDrawable *number_drawables[2];
    QuWatcher * watchers[4];

    QVector<double> refh, refv;

signals:
    void referenceEnabled(bool hor, bool en);

public slots:
    void update(const CuData &da);
    void onReferenceEnabled(bool en);
    void onScaleChange(int v);

private:
};

#endif // CIRCULARPLOTMAN_H
