/***************************************************************************
 *   Copyright (C) 2007 by Vincenzo Forchi`,,,   *
 *   vincenzo.forchi@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "gof.h"
#include "circularplotman.h"

#include <QGraphicsScene>
#include <quapplication.h>
#include <quapps.h>
#include <qucircularplotengine.h>
#include <qucircularplotwidget.h>
#include <quwatcher.h>

Gof::Gof(QWidget *parent,QString dname1, QString dname2) : QWidget(parent) {
    dev_name1=dname1;
    dev_name2=dname2;
    QuApplication *a = static_cast<QuApplication *>(QCoreApplication::instance());
    CuModuleLoader mloader(a->cumbiaPool(), a->fpool(), &m_log_impl);
    ui.setupUi(this);
    cirplos = new CircularPlotMan(this);
    cirplos->setup();
    cirplos->connectSrcs();
    connect(cirplos, SIGNAL(referenceEnabled(bool,bool)), this, SLOT(referenceEnabled(bool,bool)));
    cirplos->connectSrcs();
}

Gof::~Gof()
{
}

void Gof::on_pushControl_clicked()
{
	if (gofControl.isNull())
	{
        gofControl = new GofControl(0, dev_name2);
		gofControl->setAttribute(Qt::WA_DeleteOnClose);
		gofControl->setAttribute(Qt::WA_QuitOnClose, false);
	}
	gofControl->show();
}

void Gof::on_pushStatus_clicked()
{
 	if (gofConf.isNull())
 	{
        gofConf = new gofconf(0, dev_name2);
 		gofConf->setAttribute(Qt::WA_DeleteOnClose);
 		gofConf->setAttribute(Qt::WA_QuitOnClose, false);
 	}
    gofConf->show();
}

void Gof::on_pushMonitor_clicked()
{
	if (gofMonitor.isNull())
	{
        gofMonitor = new GofMonitor(0, dev_name1);
		gofMonitor->setAttribute(Qt::WA_DeleteOnClose);
		gofMonitor->setAttribute(Qt::WA_QuitOnClose, false);
	}
	gofMonitor->show();
}

void Gof::referenceEnabled(bool hor, bool en) {
    const QString& t = sender()->objectName();
    if(hor && en) {
        ui.labelH->setText("Horizontal [ref - H]");
    } else if(hor) {
        ui.labelH->setText("Horizontal");
    } else if(!hor && en) {
        ui.labelV->setText("Vertical [ref - V]");
    } else if(!hor) {
        ui.labelV->setText("Vertical");
    }
}

