/***************************************************************************
 *   Copyright (C) 2007 by Vincenzo Forchi`,,,   *
 *   vincenzo.forchi@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef gof_H
#define gof_H

#include <QPointer>
#include "gofcontrol.h"
#include "gofconf.h"
#include "gofmonitor.h"
#include <qulogimpl.h>
#include "ui_gof.h"

class CircularPlotMan;

class Gof: public QWidget
{
    Q_OBJECT

public:
    Gof(QWidget * parent, QString dname1, QString dname2);
    ~Gof();

public slots:
    void on_pushControl_clicked();
    void on_pushStatus_clicked();
    void on_pushMonitor_clicked();

    void referenceEnabled(bool hor, bool en);
private:
    Ui::Gof ui;
    QPointer<GofControl> gofControl;
    QPointer<gofconf> gofConf;
    QPointer<GofMonitor> gofMonitor;
    QString dev_name1;
    QString dev_name2;
    QuLogImpl m_log_impl;
    CircularPlotMan *cirplos;
};


#endif
