/***************************************************************************
 *   Copyright (C) 2006 by lz   *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef gofconf_H
#define gofconf_H
// #include <twidgetgroup.h>
// #include <qstring.h>

#include "ui_gofconf.h"
#include <QProcess>
#include <QTimer>
#include <tango.h>

class gofconf: public QWidget
{
    Q_OBJECT

public:
    gofconf(QWidget * =NULL, QString = "ecgofmasa5/gmbf/0");
    ~gofconf();
    int bpm_start, bpm_stop, corr_start, corr_stop;

public slots:
    void refresh();
    void set_val();
    void set_section();
    void ramp_section();
    void apply_val();

private:
    Ui::gofconf ui;
    Tango::DeviceProxy *gofServer;
    Tango::DeviceProxy *setServer;
    Tango::DeviceAttribute attrVals;
    QTimer *timer, *rampTimer;
    int rampCounter, rampSection;
    double rampValue, delta;
    QString set_label;
    std::string set_attr, set_srv;
    std::vector<double> SrBpmWeightHorBuffer, SrBpmWeightVerBuffer, SrCorrWeightHorBuffer, SrCorrWeightVerBuffer;
    QString dev_name;

};

#endif
