/***************************************************************************
 *   Copyright (C) 2007 by Vincenzo Forchi`,,,   *
 *   tus@ken   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef gofmonitor_H
#define gofmonitor_H

#include "ui_gofmonitor.h"

Q_DECLARE_METATYPE(QVector<double>)

class GofMonitor: public QWidget
{
Q_OBJECT

friend class MyTPlot;
friend class TCurve;

public:
    GofMonitor(QWidget * parent, QString dname );
    ~GofMonitor();

protected slots:
    void activate(int tab);
    void changeOrbitSource(int);
    void takeReference();
    void clearReference();

protected:
    Ui::GofMonitor 	ui;
    //QVector<TPlot*>	plots;
    std::vector<double>	allBpmPositions;
    std::vector<double>	bpmPositions;
    std::vector<double>	horReference;
    std::vector<double>	verReference;
    std::vector<double>	zeroReference;

    std::vector<std::string> bpmNames;
    std::vector<std::string> corrNames;
    QString dev_name;
private slots:
    void onOrbit(const CuData &da);
    void onBpmPos(const CuData &da);
    void onBpmName(const CuData &da);
    void onSrBpmName(const CuData &da);
};


#endif
