/***************************************************************************
 *   Copyright (C) 2007 by Vincenzo Forchi`,,,   *
 *   vincenzo.forchi@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <cumbiapool.h>
#include <quapplication.h>
#include <cuengineaccessor.h>
#include "gof.h"

/* uncomment to set application color */
#include <elettracolors.h>

#define VERSION "2.0.0"

int main( int argc, char ** argv ) {

    CumbiaPool *p = new CumbiaPool();
    CuControlsFactoryPool fpool;
    QuApplication a( argc, argv, p, &fpool);
    QString version(VERSION);
    a.setApplicationVersion(version);

    if(argc < 3) {
        printf("example usage: %s  sr/feedback/profile_s ecgofmasa5/gmbf/0\n", argv[0]);
        exit(EXIT_FAILURE);
    }

    Gof* mw = new Gof(0, argv[1], argv[2]);
    if(argc > 1 && strcmp(argv[1] ,"sr/feedback/gof2_profile")==0)
        mw->setWindowTitle("GOF (experimental)");
    mw->show();


    int ret =  a.exec();
    // delete resources and return
    // make sure to be operating on a valid p in case of engine swap at runtime
    p = a.cumbiaPool();
    delete mw;

    for(const std::string& n : p->names()) {
        if(p->get(n))
            delete p->get(n);
    }
    return ret;

}
