#include "statisticswidget.h"

StatisticsWidget::StatisticsWidget(QWidget *p) : QWidget(p), precision(1)
{
	ui.setupUi(this);
}

StatisticsWidget::~StatisticsWidget(){}

void StatisticsWidget::setValues(const QVector<double> &v)
{
	if (v.size() != 5)
		return;

	QString unit;
	if (precision)
		unit = " [um]";
	else
		unit = "";
	ui.meanEdit->setText(QString::number(v[0], 'f', precision) + unit);
	ui.rmsEdit->setText(QString::number(v[1], 'f', precision) + unit);
	ui.p2pEdit->setText(QString::number(v[2], 'f', precision) + unit);
	ui.minEdit->setText(QString::number(v[3], 'f', precision) + unit);
	ui.maxEdit->setText(QString::number(v[4], 'f', precision) + unit);
}

